Kodi Community Forum

Full Version: YouTube
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
not sure if anyone else has experienced this since the major Kodi update - but I'm having random videos crash my Pi running Kodi - then later when I go back to it it will play ... 

just thought I'd drop this here in case anyone else is also experiencing it (hoping so - cuz otherwise it's a problem with my Pi perhaps?) don't know - but it is annoying

this doesn't happen when I'm using the Twitch app ... there's also a buffering issue that keeps stopping my videos and I have to back out of them and start them back up to get them to play and this also isn't happening with my Twitch app
Hey,

So this morning the YouTube plugin stopped working for me.  I'm running Kodi 18.8 on a Firestick 4k.  Here is a snippet of my log file:

https://paste.kodi.tv/ximiqejupu.kodi

Any help would be appreciated.
Thanks.
(2021-08-26, 20:15)pgordash Wrote: [ -> ]Hey,

So this morning the YouTube plugin stopped working for me.  I'm running Kodi 18.8 on a Firestick 4k.  Here is a snippet of my log file:

https://paste.kodi.tv/ximiqejupu.kodi

Any help would be appreciated.
Thanks.
Went back to 6.8.15 and now it works.  Weird.
Suddenly plugin refuses to play any video. 6.8.16, Libreelec 9.2.6
Mine also stopped working (6.8.16, Ubuntu 20.04).

It said that I should use API keys. 

Went through the process, entered the API keys and successfully signed in. 

But still not possible to play videos. 

Had to go back to 6.8.15, now it works.
I too lost the ability to play YouTube videos today, but anxdpanic has already released an alpha fix that got me going again. 

https://github.com/anxdpanic/plugin.vide...alpha1.zip

Shout out to @anxdpanic - you sir, are a legend!
yeah, 6.8.17-alpha1 - works again! Thanks @anxdpanic!
(2021-08-26, 21:06)Fergus Wrote: [ -> ]I too lost the ability to play YouTube videos today, but anxdpanic has already released an alpha fix that got me going again. 

https://github.com/anxdpanic/plugin.vide...alpha1.zip

Shout out to @anxdpanic - you sir, are a legend!

Kodi 19.1, can't install due to a python 2.20 dependance error
Can confirm that its already fixed in the alpha version.
https://github.com/anxdpanic/plugin.vide...issues/185
(2021-08-26, 21:14)David7578 Wrote: [ -> ]
(2021-08-26, 21:06)Fergus Wrote: [ -> ]I too lost the ability to play YouTube videos today, but anxdpanic has already released an alpha fix that got me going again. 

https://github.com/anxdpanic/plugin.vide...alpha1.zip

Shout out to @anxdpanic - you sir, are a legend!

Kodi 19.1, can't install due to a python 2.20 dependance error
I’m a Luddite running a Raspberry Pi that can’t handle Matrix yet. I should’ve linked to the catch-all page that covers both Matrix and the old world!

https://github.com/anxdpanic/plugin.vide.../6.x.x-dev
(2021-08-26, 21:20)Fergus Wrote: [ -> ]
(2021-08-26, 21:14)David7578 Wrote: [ -> ]
(2021-08-26, 21:06)Fergus Wrote: [ -> ]I too lost the ability to play YouTube videos today, but anxdpanic has already released an alpha fix that got me going again. 

https://github.com/anxdpanic/plugin.vide...alpha1.zip

Shout out to @anxdpanic - you sir, are a legend!

Kodi 19.1, can't install due to a python 2.20 dependance error
I’m a Luddite running a Raspberry Pi that can’t handle Matrix yet. I should’ve linked to the catch-all page that covers both Matrix and the old world!

https://github.com/anxdpanic/plugin.vide.../6.x.x-dev
Thank you sir !
Thanks @anxdpanic, came back from work try to play some videos it did not work, came to forum and find fix right away, now my videos play again
Is there any way someone can assist me with this post I left quite some time ago? https://forum.kodi.tv/showthread.php?tid...pid3054249

Regards,

Shedrock
(2021-08-26, 20:56)hasenbein Wrote: [ -> ]Mine also stopped working (6.8.16, Ubuntu 20.04).

It said that I should use API keys. 

Went through the process, entered the API keys and successfully signed in. 

But still not possible to play videos. 

Had to go back to 6.8.15, now it works.

How can you roll back to the previous version?
(2021-08-26, 21:14)David7578 Wrote: [ -> ]
(2021-08-26, 21:06)Fergus Wrote: [ -> ]I too lost the ability to play YouTube videos today, but anxdpanic has already released an alpha fix that got me going again. 

https://github.com/anxdpanic/plugin.vide...alpha1.zip

Shout out to @anxdpanic - you sir, are a legend!

Kodi 19.1, can't install due to a python 2.20 dependance error

here you go for Matrix version:

https://github.com/anxdpanic/plugin.vide...trix.1.zip